Summary:	A basic gtkmm Clutter widget
Name:		clutter-gtkmm
Version:	0.9.6
Release:	1%{?dist}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://www.gtkmm.org/
Source0:	http://download.gnome.org/sources/clutter-gtkmm/0.9/%{name}-%{version}.tar.bz2

# See http://git.clutter-project.org/clutter-gtk/commit/?id=bdbb3c3c2fba04a251b4217dfd5ea5c88bbc830f
Patch0:		clutter-gtkmm-0.9.6-no-viewport.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	clutter-gtk-devel >= 0.10.2
BuildRequires:	cluttermm-devel >= 0.9.6
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	gtkmm30-devel

%description
Clutter-gtkmm allows Clutter to be embedded in gtkmm applications. Clutter is
a software library for creating fast, visually rich graphical user
interfaces.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:	%{name} = %{version}-%{release}
Requires:	devhelp

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%patch0 -p1 -b .no-viewport

sed --in-place \
  --expression 's|clutter-gtk-0.10 |clutter-gtk-1.0 |g' \
  ./configure

sed -i 's|gtkmm-2.4|gtkmm-3.0|g' ./configure

%build
%configure --disable-silent-rules --docdir=%{_docdir}/%{name}-%{version}

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0/reference .
pushd $RPM_BUILD_ROOT%{_docdir}/%{name}-1.0
  ln -s ../%{name}-devel-%{version}/reference reference
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc ChangeLog
%doc COPYING
%doc NEWS
%{_libdir}/libclutter-gtkmm-1.0.so.*

%files devel
%defattr(-, root, root, -)
%doc examples/events
%doc examples/redhand.png
%doc reference
%{_libdir}/libclutter-gtkmm-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%dir %{_datadir}/devhelp/books/%{name}-1.0
%{_datadir}/devhelp/books/%{name}-1.0/%{name}-1.0.devhelp2

%dir %{_docdir}/%{name}-1.0
%doc %{_docdir}/%{name}-1.0/reference

%dir %{_includedir}/%{name}-1.0
%{_includedir}/%{name}-1.0/%{name}
%{_includedir}/%{name}-1.0/%{name}.h

%dir %{_libdir}/%{name}-1.0
%{_libdir}/%{name}-1.0/include

%changelog
* Wed Sep 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.6-1
- update to 0.9.6

* Wed Sep 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.5-2
- update clutter-gtk version in configure to 1.0

* Sun May 23 2010 Debarshi Ray <rishi@fedoraproject.org> - 0.9.5-1
- Version bump to 0.9.5.
  * Use Clutter-Gtk 0.10. The pkg-config file has been renamed to
    clutter-gtkmm-1.0.
  * http://download.gnome.org/sources/clutter-gtkmm/0.9/clutter-gtkmm-0.9.5.news
  * http://download.gnome.org/sources/clutter-gtkmm/0.9/clutter-gtkmm-0.9.5.changes
- Added 'Requires: devhelp' to clutter-gtkmm-devel.
- Omitted unused direct shared library dependencies.
- Install the documentation in /usr/share/clutter-gtkmm-devel-0.9.5/reference
  and put a symlink to it in /usr/share/clutter-gtkmm-1.0.
- Dropped AUTHORS and README.

* Thu Oct  1 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.9.4-3
- Backport build fixes for clutter-gtk 0.10 from upstream trunk

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.9.4-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  8 2009 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Update to upstream 0.9.4
- API update to 0.9

* Tue Feb 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 0.7.4-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 0.7.4-1
- Update to upstream 0.7.4

* Sun Sep  7 2008 Denis Leroy <denis@poolshark.org> - 0.7.2-1
- Initial version
